import React from 'react';
import PropTypes from 'prop-types';

var AlertContainer = function AlertContainer(props) {
  var children = props.children,
      className = props.className;
  return React.createElement("div", {
    className: 'cui-alert' + ("" + (className && " " + className || ''))
  }, children);
};

AlertContainer.propTypes = {
  /**
   * Child component to display in Alert Container
   */
  children: PropTypes.node,

  /**
   * optional className prop type
   */
  className: PropTypes.string
};
AlertContainer.defaultProps = {
  children: null,
  className: ''
};
AlertContainer.displayName = 'AlertContainer';
export default AlertContainer;