"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AlertContainer = function AlertContainer(props) {
  var children = props.children,
      className = props.className;
  return _react.default.createElement("div", {
    className: 'cui-alert' + ("" + (className && " " + className || ''))
  }, children);
};

AlertContainer.propTypes = {
  /**
   * Child component to display in Alert Container
   */
  children: _propTypes.default.node,

  /**
   * optional className prop type
   */
  className: _propTypes.default.string
};
AlertContainer.defaultProps = {
  children: null,
  className: ''
};
AlertContainer.displayName = 'AlertContainer';
var _default = AlertContainer;
exports.default = _default;