"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Avatar = _interopRequireDefault(require("../Avatar"));

var _Icon = _interopRequireDefault(require("../Icon"));

var _ListItem = _interopRequireDefault(require("../ListItem"));

var _ListItemSection = _interopRequireDefault(require("../ListItemSection"));

var _lodash = _interopRequireDefault(require("lodash"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _inheritsLoose(subClass, superClass) { subClass.prototype.__proto__ = superClass && superClass.prototype; subClass.__proto__ = superClass; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

/**
 * @category containers
 * @component list-item
 * @variations collab-ui-react
 */
var SpaceListItem =
/*#__PURE__*/
function (_React$PureComponent) {
  function SpaceListItem() {
    var _temp, _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return (_temp = _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this, _this.state = {
      id: _lodash.default.uniqueId(_this.props.id && _this.props.id + "-" || 'cui-space-list-item-')
    }, _temp) || _assertThisInitialized(_this);
  }

  var _proto = SpaceListItem.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        className = _this$props.className,
        childrenLeft = _this$props.childrenLeft,
        childrenRight = _this$props.childrenRight,
        header = _this$props.header,
        subheader = _this$props.subheader,
        isBold = _this$props.isBold,
        isAlertOn = _this$props.isAlertOn,
        isOverview = _this$props.isOverview,
        isMentioned = _this$props.isMentioned,
        isMuted = _this$props.isMuted,
        isUnread = _this$props.isUnread,
        props = _objectWithoutProperties(_this$props, ["className", "childrenLeft", "childrenRight", "header", "subheader", "isBold", "isAlertOn", "isOverview", "isMentioned", "isMuted", "isUnread"]);

    var id = this.state.id;

    var getIcon = function getIcon() {
      if (isMuted) {
        return _react.default.createElement(_Icon.default, {
          color: "$white-60",
          name: "alert-muted_12"
        });
      } else if (isUnread) {
        return _react.default.createElement("i", {
          style: {
            fontSize: '12px',
            color: '#07C1E4'
          },
          className: "icon icon-unread-badge_16"
        });
      } else if (isMentioned) {
        return _react.default.createElement(_Icon.default, {
          color: "blue",
          name: "mention_12"
        });
      } else if (isAlertOn) {
        return _react.default.createElement(_Icon.default, {
          color: "$white-60",
          name: "alert_12"
        });
      }

      return null;
    };

    var leftSection = isOverview ? _react.default.createElement(_Avatar.default, {
      isOverview: true,
      icon: _react.default.createElement(_Icon.default, {
        name: "handset_24"
      })
    }) : childrenLeft;
    var rightSection = childrenRight ? childrenRight : getIcon();
    var children = [_react.default.createElement(_ListItemSection.default, {
      key: "child-0",
      position: "left"
    }, leftSection || _react.default.createElement(_Avatar.default, {
      title: "NA"
    })), _react.default.createElement(_ListItemSection.default, {
      key: "child-1",
      position: "center"
    }, _react.default.createElement("div", {
      className: 'cui-list-item__header' + ("" + (isOverview && " cui-list-item__header--overview" || ''))
    }, header), _react.default.createElement("div", {
      className: "cui-list-item__subheader"
    }, subheader)), _react.default.createElement(_ListItemSection.default, {
      key: "child-2",
      position: "right"
    }, rightSection)];
    return _react.default.createElement(_ListItem.default, _extends({
      className: "" + (isBold && " cui-list-item--unread" || '') + ("" + (className && " " + className || '')),
      id: id,
      type: "space"
    }, props), children);
  };

  _inheritsLoose(SpaceListItem, _React$PureComponent);

  return SpaceListItem;
}(_react.default.PureComponent);

exports.default = SpaceListItem;
SpaceListItem.displayName = 'SpaceListItem';
SpaceListItem.defaultProps = {
  className: '',
  childrenLeft: null,
  childrenRight: null,
  id: '',
  isBold: false,
  isAlertOn: false,
  isMentioned: false,
  isMuted: false,
  isUnread: false,
  isOverview: false,
  subheader: ''
};
SpaceListItem.propTypes = {
  /** HTML Class for associated input */
  className: _propTypes.default.string,

  /** Children for left section */
  childrenLeft: _propTypes.default.node,

  /** Children for left section */
  childrenRight: _propTypes.default.node,

  /** HTML ID for associated input */
  id: _propTypes.default.string,

  /** SpaceListItem Boolean */
  isBold: _propTypes.default.bool,

  /** SpaceListItem Boolean */
  isOverview: _propTypes.default.bool,

  /** SpaceListItem Boolean */
  isUnread: _propTypes.default.bool,

  /** SpaceListItem Boolean */
  isMentioned: _propTypes.default.bool,

  /** SpaceListItem Boolean */
  isMuted: _propTypes.default.bool,

  /** SpaceListItem Boolean */
  isAlertOn: _propTypes.default.bool,

  /** ListItem header */
  header: _propTypes.default.node.isRequired,

  /** ListItem header */
  subheader: _propTypes.default.node
};
/**
* @name Space List
*
* @category containers
* @component list-item
* @section space
*
* @js
*
import { List, SpaceListItem } from '@collab-ui/react';
import { NavLink } from 'react-router-dom';

export default class SpaceListExamples extends React.PureComponent {

  render() {
    const anchorNode = <NavLink to='/containers/list-item' />;
    return(
      <div className="medium-4 columns cui--dark">
        <List style={{backgroundColor: 'rgba(40,40,40,0.72)'}}>
          <SpaceListItem header='Header' subheader='must be very long long long long long message message' isBold/>
          <SpaceListItem header='Header' subheader='must be very long long long long long message message' isUnread/>
          <SpaceListItem header='isMentioned' isMentioned/>
          <SpaceListItem header='isMuted' isMuted/>
          <SpaceListItem header='isAlertOn' isAlertOn/>
          <SpaceListItem header='iconsPrioritized' isMuted isAlertOn isMentioned isUnread/>
          <SpaceListItem header='Header' subheader='subheader' disabled/>
          <SpaceListItem header='Header' subheader='subheader' customRefProp='innerRef' customAnchorNode={anchorNode}/>
          <SpaceListItem header='SingleRead' />
          <SpaceListItem isOverview header='Summary List Item' />
        </List>
      </div>
    );
  }
}
**/